package com.xintong.visualinspection.service;

import java.util.List;
import java.util.Map;

import com.xintong.visualinspection.bean.CheckItem;

/**
 * 
 *
 * ConstantService
 * 
 * tiger
 * tiger
 * 2017年5月4日 上午10:41:40
 * 
 * @version 1.0.0
 *
 */
public interface CheckItemService {
    public List<CheckItem> getAll();
    public CheckItem getById(Long id);
    public List<CheckItem> getByParentId(Long id);
    public List<CheckItem> getByRuleId(Long id);
    public void insert(CheckItem checkItem);
    public void update(CheckItem checkItem);
    public void delete(Long id);
    public List<CheckItem> getCheckItemByRuleType(Map<String,String> param);
}
